package com.ozs.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.base.domain.BaseExpert;
import com.ozs.base.domain.BaseUnitInformation;
import com.ozs.base.domain.vo.BaseExpertVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BaseExpertMapper extends BaseMapper<BaseExpert> {
    int insertExpert(BaseExpertVo baseExpertVo);

    List<BaseUnitInformation> selectByUnitInformation(@Param("unitInformation") String unitInformation);

    Integer insertBaseUnitInformation(BaseUnitInformation baseUnitInformation);
}
